This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 1060970 - Project-version information gathered for group join request not delivered
Project-version information gathered for group join request not delivered
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-03 22:46 EST by Damian Jansen
Modified: 2014-03-20 01:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.3.0-SNAPSHOT (20140214-1347)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 01:47:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2014-02-03 22:46:20 EST
Description of problem:
Request add project to group infers the project version from the button / selector, but doesn't actually add this information to the email.

Version-Release number of selected component (if applicable):
3.3.0 RC1

How reproducible:
Easy always

Steps to Reproduce:
1. Sign in as a project maintainer, go to said project
2. Select a version, click Request to add project to group
3. Select a group in the dialog
4. Enter some text for the message
5. Press Send message

Actual results:
Email received contains the standard "user has requested" part, and the added message, but no information about the originating projet version.

Expected results:
The template should be something along the lines of "Zanata user '<username>' with id '<userId>' is requesting the project <projectname>(<projectversion>) be added to the group '<groupname>'"

Additional info:
Comment 1 Alex Eng 2014-02-10 21:25:11 EST
Pull request:
https://github.com/zanata/zanata-server/pull/366
Comment 2 Alex Eng 2014-02-10 22:32:57 EST
Pull request:
https://github.com/zanata/zanata-server/pull/367
Comment 3 Damian Jansen 2014-02-13 22:59:18 EST
Verified at 9c46eb0cc798a1883e066057221a503690c6c6a2
Comment 4 Sean Flanigan 2014-03-20 01:47:29 EDT
Closing VERIFIED bugs for Zanata server 3.3.2.

Note You need to log in before you can comment on or make changes to this bug.